POST api/MobileCareResponse/UpdateCorporationMobilecareMedic

Request Information

URI Parameters

None.

Body Parameters

CorporationMobilecareMedicDTO
NameDescriptionTypeAdditional information
Id

integer

None.

UserId

integer

None.

StaffName

string

String length: inclusive between 0 and 20

CorporationCode

string

String length: inclusive between 0 and 20

LastName

string

String length: inclusive between 0 and 100

FirstName

string

String length: inclusive between 0 and 50

FullName

string

String length: inclusive between 0 and 100

UserType

byte

None.

ListCorporationMobilecareMedicWorkLocationDTO

Collection of CorporationMobilecareMedicWorkLocationDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "UserId": 2,
  "StaffName": "sample string 3",
  "CorporationCode": "sample string 4",
  "LastName": "sample string 5",
  "FirstName": "sample string 6",
  "FullName": "sample string 6 sample string 5",
  "UserType": 64,
  "ListCorporationMobilecareMedicWorkLocationDTO": [
    {
      "Id": 1,
      "MedicId": 2,
      "WorkLocationCode": "sample string 3",
      "WorkLocationName": "sample string 4",
      "WorkLocationShortName": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
      "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10,
      "CompanyCode": "sample string 11",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "MedicId": 2,
      "WorkLocationCode": "sample string 3",
      "WorkLocationName": "sample string 4",
      "WorkLocationShortName": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
      "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10,
      "CompanyCode": "sample string 11",
      "IsExcludeDiscount": true
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
  "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
  "UserIDCreated": 11,
  "UserIDUpdated": 12,
  "CompanyCode": "sample string 13",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCorporationMobilecareMedicDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CorporationMobilecareMedicDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "UserId": 2,
    "StaffName": "sample string 3",
    "CorporationCode": "sample string 4",
    "LastName": "sample string 5",
    "FirstName": "sample string 6",
    "FullName": "sample string 6 sample string 5",
    "UserType": 64,
    "ListCorporationMobilecareMedicWorkLocationDTO": [
      {
        "Id": 1,
        "MedicId": 2,
        "WorkLocationCode": "sample string 3",
        "WorkLocationName": "sample string 4",
        "WorkLocationShortName": "sample string 5",
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
        "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
        "UserIDCreated": 9,
        "UserIDUpdated": 10,
        "CompanyCode": "sample string 11",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "MedicId": 2,
        "WorkLocationCode": "sample string 3",
        "WorkLocationName": "sample string 4",
        "WorkLocationShortName": "sample string 5",
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
        "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
        "UserIDCreated": 9,
        "UserIDUpdated": 10,
        "CompanyCode": "sample string 11",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:30:52.5959721-07:00",
    "DateUpdated": "2026-08-04T14:30:52.5959721-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}